> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear fee

> Crea una configuración de fee para el business autenticado.



## OpenAPI

````yaml /openapi.yaml post /v2/fees
openapi: 3.0.0
info:
  title: YP API Partner
  description: Documentación de integración para partners de YP API.
  version: 2.2.0
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Consultas
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
paths:
  /v2/fees:
    post:
      tags:
        - Fees
      summary: Crear fee
      description: Crea una configuración de fee para el business autenticado.
      operationId: createTenantFee
      parameters: []
      requestBody:
        required: true
        description: Datos del fee a configurar.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTenantFeeRequestDoc'
      responses:
        '201':
          description: Fee creado exitosamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantFeeResponseDoc'
        '400':
          description: Request inválido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponseDoc'
        '401':
          description: Token ausente, inválido o expirado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
      security:
        - bearer: []
components:
  schemas:
    CreateTenantFeeRequestDoc:
      type: object
      properties:
        pair:
          type: string
          enum:
            - USDC/BOB
            - BOB/USDC
            - USDT/BOB
            - BOB/USDT
          example: USDC/BOB
          description: Par de monedas para el fee.
        transactionType:
          type: string
          enum:
            - deposit_express
            - withdrawal_express
            - withdrawal_ach
            - deposit_crypto
            - withdrawal_crypto
            - prefunding
          example: withdrawal_express
          description: Tipo de transacción al que aplica el fee.
        amount:
          type: number
          example: 0.5
          description: Monto del fee. Debe ser mayor a cero.
          minimum: 0
        type:
          type: string
          enum:
            - FIXED
            - PERCENTAGE
          example: PERCENTAGE
          description: >-
            PERCENTAGE se aplica sobre el tipo de cambio; FIXED se aplica sobre
            el monto total.
      required:
        - pair
        - transactionType
        - amount
        - type
    TenantFeeResponseDoc:
      type: object
      properties:
        pair:
          type: string
          enum:
            - USDC/BOB
            - BOB/USDC
            - USDT/BOB
            - BOB/USDT
          example: USDC/BOB
          description: Par de monedas configurado para el fee.
        transactionType:
          type: string
          enum:
            - deposit_express
            - withdrawal_express
            - withdrawal_ach
            - deposit_crypto
            - withdrawal_crypto
            - prefunding
          example: withdrawal_express
          description: Tipo de transacción al que aplica el fee.
        amount:
          type: number
          example: 0.5
          description: Monto del fee.
        feeType:
          type: string
          enum:
            - FIXED
            - PERCENTAGE
          example: PERCENTAGE
          description: Tipo de fee configurado.
        status:
          type: string
          enum:
            - CURRENT
            - OLD
          example: CURRENT
          description: Estado de vigencia del fee.
        createdBy:
          type: object
          example: Partner User
          nullable: true
          description: Usuario que creo el fee.
        validUntil:
          type: object
          example: '2026-05-12T12:00:00.000Z'
          nullable: true
          description: Fecha hasta la que fue válido el fee, si ya fue reemplazado.
        supersededBy:
          nullable: true
          description: Fee que reemplazó a este registro, si existe.
          allOf:
            - $ref: '#/components/schemas/FeeSnapshotDoc'
        predecessor:
          nullable: true
          description: Fee anterior que fue reemplazado por este registro, si existe.
          allOf:
            - $ref: '#/components/schemas/FeeSnapshotDoc'
      required:
        - pair
        - transactionType
        - amount
        - feeType
        - status
    ValidationErrorResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed
        error:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    FeeSnapshotDoc:
      type: object
      properties:
        amount:
          type: number
          example: 0.5
          description: Monto del fee relacionado.
        feeType:
          type: string
          enum:
            - FIXED
            - PERCENTAGE
          example: PERCENTAGE
          description: Tipo del fee relacionado.
        createdBy:
          type: object
          example: Partner User
          nullable: true
          description: Usuario que creo el fee relacionado.
      required:
        - amount
        - feeType
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtenido desde /v2/auth/login

````